> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# SERP 竞争对手

> 此端点将提供一个域名列表，其中的域名对您指定的关键词有排名。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/serp_competitors/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/serp_competitors/live:
    post:
      summary: SERP 竞争对手
      description: 此端点将为你提供针对指定关键词获得排名的域名列表。你还将获得这些域名通过指定关键词取得的 SERP 排名、评级、预估流量和可见度值。
      operationId: post_dataforseo_dataforseo_labs_google_serp_competitors_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    关键词数组；必填字段。结果将基于你在此数组中指定的关键词。采用 UTF-8 编码；关键词将转换为小写格式；最多可指定
                    200 个关键词。有关 DataForSEO API 中 keyword 和 keywords
                    字段的规则与限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    位置的完整名称；如果未指定 location_code，则此字段为必填字段。注意：location_name 和
                    location_code 必须至少指定一个。可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取包含 location_name 参数的可用位置列表。示例：United Kingdom
                location_code:
                  type: integer
                  description: >-
                    唯一位置标识符；如果未指定 location_name，则此字段为必填字段。注意：location_name 和
                    location_code 必须至少指定一个。可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取包含 location_code 参数的可用位置列表。示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称；如果未指定 language_code，则为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 language_name 参数的可用语言列表。示例：English
                language_code:
                  type: string
                  description: >-
                    唯一语言标识符；如果未指定 language_name，则为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 language_code 参数的可用语言列表。示例：en
                include_subdomains:
                  type: boolean
                  description: 指示搜索是否包含子域名。可选字段；如果设置为 false，将忽略子域名。默认值：true
                item_types:
                  type: array
                  items:
                    type: string
                  description: >-
                    搜索结果类型，表示响应中包含的搜索结果类型，可选字段。可选值：["organic", "paid",
                    "featured_snippet", "local_pack"]，默认值：["organic", "paid"]
                limit:
                  type: integer
                  description: 返回域名的最大数量，可选字段，默认值：100，最大值：1000
                offset:
                  type: integer
                  description: >-
                    返回域名在结果数组中的偏移量；可选字段；默认值：0；如果指定值
                    10，结果数组中的前十个域名将被忽略，并提供后续域名的数据
                filters:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果过滤参数数组，可选字段。可以同时添加多个过滤器（最多 8 个）。应在条件之间设置逻辑运算符
                    and、or。支持以下运算符：regex、not_regex、 、 、>、>=、=、
                    、in、not_in、match、not_match、ilike、not_ilike、like、not_like。可以将
                    % 运算符与 like 和 not_like 以及 ilike 和 not_ilike
                    配合使用，以匹配由零个或多个字符组成的任意字符串。示例：["median_position","in",[1,10]]
                    [["median_position","in",[1,10]],"and",["domain","not_like","%wikipedia.org%"]]
                    [["domain","not_like","%wikipedia.org%"], "and",
                    [["relevant_serp_items",">",0],"or",["median_position","in",[1,10]]]]。有关过滤器的更多信息，请参阅
                    Dataforseo Labs – Filters 或此帮助中心指南
                order_by:
                  type: array
                  items:
                    type: string
                  description: >-
                    结果排序规则 可选字段 可以使用与 filters 数组中相同的值对结果进行排序 可用排序类型：asc –
                    结果将按升序排列 desc – 结果将按降序排列 使用逗号作为分隔符 示例：["avg_position,asc"]
                    默认规则：["rating,desc"] 注意，单个请求最多可设置三个排序规则 应使用逗号分隔多个排序规则
                    示例：["avg_position,asc","etv,desc"]
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.seed_keywords:
                    type: array
                    items:
                      type: string
                    description: 请求中指定的关键词；返回的 keyword 已解码 %##（加号字符“+”将被解码为空格字符）
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总数
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含检测到的 SERP 竞争对手及相关数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.domain:
                    type: string
                    description: 检测到的 SERP 竞争对手的域名
                  tasks.result.items.avg_position:
                    type: integer
                    description: 域名在指定关键词中的平均排名，即 keywords_positions 数组中各值的算术平均值
                  tasks.result.items.median_position:
                    type: integer
                    description: 指定关键词下域名的中位排名；keywords_positions 数组中各值的中位数
                  tasks.result.items.rating:
                    type: integer
                    description: >-
                      最大可能关键词排名与实际关键词排名之间的差值，表示该域名在 SERP 中针对指定关键词的相对可见率，计算公式为
                      sum(100-keywords_positions)
                  tasks.result.items.etv:
                    type: number
                    description: >-
                      预估流量表示指定关键词为网站带来的预估每月流量，其计算方式为指定关键词的搜索量值与其在 SERP 特定排名位置的
                      CTR（点击率）乘积之和；有关此指标计算方式的更多信息，请参阅此帮助中心文章
                  tasks.result.items.keywords_count:
                    type: integer
                    description: 域名在 SERP 中有排名的指定关键词数量
                  tasks.result.items.visibility:
                    type: number
                    description: >-
                      SERP 可见率表示根据指定关键词在 SERP 中的位置计算的网站可见率。位置在 1 到 10
                      之间的关键词分别被赋予从 1 到 0.1 的可见性指数。位置在 11 到 20 之间的关键词具有固定的 0.05
                      可见性指数。位置在 20 到 100 之间的关键词的可见性指数为 0
                  tasks.result.items.relevant_serp_items:
                    type: integer
                    description: 与域名相关的 SERP 元素数量，表示针对指定关键词，SERP 中与该域名相关的搜索结果数量
                  tasks.result.items.keywords_positions:
                    type: object
                    description: 关键词排名位置，即相关域名针对指定关键词在 SERP 中的排名位置
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````